Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.xpath
Class XPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              antlr.ANTLRException
                  antlr.TokenStreamException
                      weblogic.xml.xpath.XPathException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  XPathParsingException, XPathUnsupportedException

    public class XPathException

extends antlr.TokenStreamException

Base class for exceptions which indicate that something went awry while parsing or evaluating an XPath.

See Also:
  Serialized Form

Constructor Summary
`XPathException()`
`XPathException(String msg)`
`XPathException(String msg, Throwable nested)`
`XPathException(Throwable nested)`

Method Summary
`Throwable` | `getNested()` Gets the nested Throwable.
`Throwable` | `getNestedException()` Gets the nested exception.
`void` | `printStackTrace()` Prints the stack trace associated with this exception and its nested exception to System.err.
`void` | `printStackTrace(PrintStream s)` Prints the stack trace associated with this exception and its nested exception.
`void` | `printStackTrace(PrintWriter w)` Prints the stack trace associated with this exception and its nested exception.
`void` | `superPrintStackTrace(PrintStream ps)`
`void` | `superPrintStackTrace(PrintWriter pw)`
`String` | `superToString()`
`String` | `toString()` Prints the exception message and its nested exception message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException

    public XPathException()

### XPathException

    public XPathException(String msg)

### XPathException

    public XPathException(Throwable nested)

### XPathException

    public XPathException(String msg,
                          Throwable nested)

Method Detail

### getNestedException

    public Throwable getNestedException()

  Gets the nested exception.

  Returns:
    Nested exception

### getNested

    public Throwable getNested()

  Gets the nested Throwable.

  Returns:
    Nested exception

### superToString

    public String superToString()

### superPrintStackTrace

    public void superPrintStackTrace(PrintStream ps)

### superPrintStackTrace

    public void superPrintStackTrace(PrintWriter pw)

### toString

    public String toString()

  Prints the exception message and its nested exception message.

  Overrides:
    `toString` in class `Throwable`
  Returns:
    String representation of the exception

### printStackTrace

    public void printStackTrace(PrintStream s)

  Prints the stack trace associated with this exception and its nested exception.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - PrintStream

### printStackTrace

    public void printStackTrace(PrintWriter w)

  Prints the stack trace associated with this exception and its nested exception.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `w` - PrintWriter

### printStackTrace

    public void printStackTrace()

  Prints the stack trace associated with this exception and its nested exception to System.err.

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD